Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mo_simple_plumes.F90	(revision 5099)
@@ -21,5 +21,5 @@
 !! @par Copyright
 !! 
-!
+
 MODULE MO_SIMPLE_PLUMES
 
@@ -67,33 +67,33 @@
 
 CONTAINS
-  !
+
   ! ------------------------------------------------------------------------------------------------------------------------
   ! SP_SETUP:  This subroutine should be called at initialization to read the netcdf data that describes the simple plume
   ! climatology.  The information needs to be either read by each processor or distributed to processors.
-  !
+
   SUBROUTINE sp_setup
-    !
+
     USE mod_phys_lmdz_mpi_data, ONLY: is_mpi_root
     USE mod_phys_lmdz_omp_data, ONLY: is_omp_root
     USE mod_phys_lmdz_transfert_para, ONLY: bcast
-    !
-    ! ---------- 
-    !
+
+    ! ---------- 
+
     INTEGER :: iret, ncid, DimID, VarID, xdmy
     CHARACTER (len = 50)     :: modname = 'mo_simple_plumes.sp_setup'
     CHARACTER (len = 80)     :: abort_message
-    !
+
     ! ---------- 
     !--only one processor reads the input data
     IF (is_mpi_root.AND.is_omp_root) THEN
-       !    
+
        iret = nf90_open("MACv2.0-SP_v1.nc", NF90_NOWRITE, ncid)
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF File not opened'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        ! read dimensions and make sure file conforms to expected size
-       !
+
        iret = nf90_inq_dimid(ncid, "plume_number"  , DimId)
        iret = nf90_inquire_dimension(ncid, DimId, len = xdmy)
@@ -102,5 +102,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_dimid(ncid, "plume_feature", DimId)
        iret = nf90_inquire_dimension(ncid, DimId, len = xdmy)
@@ -109,5 +109,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_dimid(ncid, "year_fr"   , DimId)
        iret = nf90_inquire_dimension(ncid, DimID, len = xdmy)
@@ -116,5 +116,5 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_dimid(ncid, "years"   , DimId)
        iret = nf90_inquire_dimension(ncid, DimID, len = xdmy)
@@ -123,130 +123,130 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        ! read variables that define the simple plume climatology
-       !
+
        iret = nf90_inq_varid(ncid, "plume_lat", VarId)
        iret = nf90_get_var(ncid, VarID, plume_lat(:), start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading plume_lat'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "plume_lon", VarId)
        iret = nf90_get_var(ncid, VarID, plume_lon(:), start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading plume_lon'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "beta_a"   , VarId)
        iret = nf90_get_var(ncid, VarID, beta_a(:)   , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading beta_a'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "beta_b"   , VarId)
        iret = nf90_get_var(ncid, VarID, beta_b(:)   , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading beta_b'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "aod_spmx" , VarId)
        iret = nf90_get_var(ncid, VarID, aod_spmx(:)  , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading aod_spmx'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "aod_fmbg" , VarId)
        iret = nf90_get_var(ncid, VarID, aod_fmbg(:)  , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading aod_fmbg'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "ssa550"   , VarId)
        iret = nf90_get_var(ncid, VarID, ssa550(:)  , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading ssa550'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "asy550"   , VarId)
        iret = nf90_get_var(ncid, VarID, asy550(:)  , start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading asy550'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "angstrom" , VarId)
        iret = nf90_get_var(ncid, VarID, angstrom(:), start=(/1/),count=(/nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading angstrom'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "sig_lat_W"     , VarId)
        iret = nf90_get_var(ncid, VarID, sig_lat_W(:,:)    , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading sig_lat_W'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "sig_lat_E"     , VarId)
        iret = nf90_get_var(ncid, VarID, sig_lat_E(:,:)    , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading sig_lat_E'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "sig_lon_E"     , VarId)
        iret = nf90_get_var(ncid, VarID, sig_lon_E(:,:)    , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading sig_lon_E'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "sig_lon_W"     , VarId)
        iret = nf90_get_var(ncid, VarID, sig_lon_W(:,:)    , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading sig_lon_W'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "theta"         , VarId)
        iret = nf90_get_var(ncid, VarID, theta(:,:)        , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading theta'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "ftr_weight"    , VarId)
        iret = nf90_get_var(ncid, VarID, ftr_weight(:,:)   , start=(/1,1/),count=(/nfeatures,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading plume_lat'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "year_weight"   , VarId)
        iret = nf90_get_var(ncid, VarID, year_weight(:,:)  , start=(/1,1/),count=(/nyears,nplumes   /))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading year_weight'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_inq_varid(ncid, "ann_cycle"     , VarId)
        iret = nf90_get_var(ncid, VarID, ann_cycle(:,:,:)  , start=(/1,1,1/),count=(/nfeatures,ntimes,nplumes/))
-       IF (iret /= NF90_NOERR) THEN
+       IF (iret /= nf90_noerr) THEN
           abort_message='NetCDF Error reading ann_cycle'
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-       !
+
        iret = nf90_close(ncid)
-       !
+
     ENDIF !--root processor
-    !
+
     CALL bcast(plume_lat)
     CALL bcast(plume_lon)
@@ -266,11 +266,11 @@
     CALL bcast(year_weight)
     CALL bcast(ann_cycle)
-    !
+
     sp_initialized = .TRUE.
-    !
+
     RETURN
-    !
+
   END SUBROUTINE sp_setup
-  !
+
   ! ------------------------------------------------------------------------------------------------------------------------
   ! SET_TIME_WEIGHT:  The simple plume model assumes that meteorology constrains plume shape and that only source strength
@@ -278,9 +278,9 @@
   ! for the plumes.  Each plume feature has its own temporal weights which varies yearly.  The annual cycle is indexed by
   ! week in the year and superimposed on the yearly mean value of the weight. 
-  !
+
   SUBROUTINE set_time_weight(year_fr)
-    !
-    ! ---------- 
-    !
+
+    ! ---------- 
+
     REAL, INTENT(IN) ::  &
          year_fr           !< Fractional Year (1850.0 - 2100.99)
@@ -290,7 +290,7 @@
          iweek          ,& !< Integer index (between 1 and ntimes); for ntimes=52 this corresponds to weeks (roughly)
          iplume            ! plume number
-    !
-    ! ---------- 
-    !
+
+    ! ---------- 
+
     iyear = FLOOR(year_fr) - 1849
     iweek = FLOOR((year_fr - FLOOR(year_fr)) * ntimes) + 1
@@ -309,17 +309,17 @@
     RETURN
   END SUBROUTINE set_time_weight
-  !
+
   ! ------------------------------------------------------------------------------------------------------------------------
   ! SP_AOP_PROFILE:  This subroutine calculates the simple plume aerosol and cloud active optical properties based on the
   ! the simple plume fit to the MPI Aerosol Climatology (Version 2).  It sums over nplumes to provide a profile of aerosol
   ! optical properties on a host models vertical grid. 
-  !
+
   SUBROUTINE sp_aop_profile                                                                           ( &
        nlevels        ,ncol           ,lambda         ,oro            ,lon            ,lat            , &
        year_fr        ,z              ,dz             ,dNovrN         ,aod_prof       ,ssa_prof       , &
        asy_prof       )
-    !
-    ! ---------- 
-    !
+
+    ! ---------- 
+
     INTEGER, INTENT(IN)        :: &
          nlevels,                 & !< number of levels
@@ -372,17 +372,17 @@
          aod_lmd,                  & !< aerosol optical depth at input wavelength
          lfactor                     !< factor to compute wavelength dependence of optical properties
-    !
-    ! ---------- 
-    !
+
+    ! ---------- 
+
     ! initialize input data (by calling setup at first instance) 
-    !
+
     IF (.NOT.sp_initialized) CALL sp_setup
-    !
+
     ! get time weights
-    !
+
     CALL set_time_weight(year_fr)
-    !
+
     ! initialize variables, including output
-    !
+
     DO k=1,nlevels
       DO icol=1,ncol
@@ -399,11 +399,11 @@
       caod_bg(icol)  = 0.02
     ENDDO
-    !
+
     ! sum contribution from plumes to construct composite profiles of aerosol optical properties
-    !
+
     DO iplume=1,nplumes
-      !
+
       ! calculate vertical distribution function from parameters of beta distribution
-      !
+
       DO icol=1,ncol
         beta_sum(icol) = 0.
@@ -420,11 +420,11 @@
         ENDDO
       ENDDO
-      !
+
       ! calculate plume weights
-      !
+
       DO icol=1,ncol
-        !
+
         ! get plume-center relative spatial parameters for specifying amplitude of plume at given lat and lon
-        !
+
         delta_lat   = lat(icol) - plume_lat(iplume)
         delta_lon   = lon(icol) - plume_lon(iplume)
@@ -436,15 +436,15 @@
         a_plume2  = 0.5 / (MERGE(sig_lon_E(2,iplume), sig_lon_W(2,iplume), delta_lon > 0)**2)
         b_plume2  = 0.5 / (MERGE(sig_lat_E(2,iplume), sig_lat_W(2,iplume), delta_lon > 0)**2)
-        !
+
         ! adjust for a plume specific rotation which helps match plume state to climatology.
-        !
+
         lon1 =   COS(theta(1,iplume))*(delta_lon) + SIN(theta(1,iplume))*(delta_lat)
         lat1 = - SIN(theta(1,iplume))*(delta_lon) + COS(theta(1,iplume))*(delta_lat)
         lon2 =   COS(theta(2,iplume))*(delta_lon) + SIN(theta(2,iplume))*(delta_lat)
         lat2 = - SIN(theta(2,iplume))*(delta_lon) + COS(theta(2,iplume))*(delta_lat)
-        !
+
         ! calculate contribution to plume from its different features, to get a column weight for the anthropogenic
         ! (cw_an) and the fine-mode natural background aerosol (cw_bg)
-        !
+
         f1 = time_weight(1,iplume) * ftr_weight(1,iplume) * EXP(-1.* (a_plume1 * ((lon1)**2) + (b_plume1 * ((lat1)**2)))) 
         f2 = time_weight(2,iplume) * ftr_weight(2,iplume) * EXP(-1.* (a_plume2 * ((lon2)**2) + (b_plume2 * ((lat2)**2)))) 
@@ -454,15 +454,15 @@
         cw_an(icol) = f1 * aod_spmx(iplume) + f2 * aod_spmx(iplume)  
         cw_bg(icol) = f3 * aod_fmbg(iplume) + f4 * aod_fmbg(iplume) 
-        !
+
         ! calculate wavelength-dependent scattering properties
-        !
+
         lfactor   = MIN(1.0,700.0/lambda)
         ssa(icol) = (ssa550(iplume) * lfactor**4) / ((ssa550(iplume) * lfactor**4) + ((1-ssa550(iplume)) * lfactor))
         asy(icol) =  asy550(iplume) * SQRT(lfactor)
       ENDDO
-      !
+
       ! distribute plume optical properties across its vertical profile weighting by optical depth and scaling for
       ! wavelength using the angstrom parameter. 
-      !      
+
       lfactor = EXP(-angstrom(iplume) * LOG(lambda/550.0))
       DO k=1,nlevels
@@ -478,7 +478,7 @@
       ENDDO
     ENDDO
-    !
+
     ! complete optical depth weighting
-    !
+
     DO k=1,nlevels
       DO icol = 1,ncol
@@ -487,7 +487,7 @@
       ENDDO
     ENDDO
-    !
+
     ! calculate effective radius normalization (divisor) factor
-    !
+
     DO icol=1,ncol
       dNovrN(icol) = LOG((1000.0 * (caod_sp(icol) + caod_bg(icol))) + 1.0)/LOG((1000.0 * caod_bg(icol)) + 1.0)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/mod_synchro_omp.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 MODULE mod_synchro_omp
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/modd_csts.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/modd_csts.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/modd_csts.F90	(revision 5099)
@@ -6,5 +6,5 @@
       MODULE MODD_CSTS      
 !     ###############
-!
+
 !!****  *MODD_CSTS* - declaration of Physic constants 
 !!
@@ -13,5 +13,5 @@
 !       The purpose of this declarative module is to declare  the 
 !     Physics constants.    
-!
+
 !!
 !!**  IMPLICIT ARGUMENTS
@@ -36,14 +36,14 @@
 !!      J. Escobar     06/13  add XSURF_TIMY XSURF_TIMY_12 XSURF_EPSILON for REAL*4
 !-------------------------------------------------------------------------------
-!
+
 !*       0.   DECLARATIONS
 !             ------------
-!
+
 IMPLICIT NONE 
 REAL,SAVE :: XPI                ! Pi
-!
+
 REAL,SAVE :: XDAY,XSIYEA,XSIDAY ! day duration, sideral year duration,
                                 ! sideral day duration
-!
+
 REAL,SAVE :: XKARMAN            ! von karman constant
 REAL,SAVE :: XLIGHTSPEED        ! light speed
@@ -51,12 +51,12 @@
 REAL,SAVE :: XBOLTZ             ! Boltzman constant 
 REAL,SAVE :: XAVOGADRO          ! Avogadro number
-!
+
 REAL,SAVE :: XRADIUS,XOMEGA     ! Earth radius, earth rotation
 REAL,SAVE :: XG                 ! Gravity constant
-!
+
 REAL,SAVE :: XP00               ! Reference pressure
-!
+
 REAL,SAVE :: XSTEFAN,XI0        ! Stefan-Boltzman constant, solar constant
-!
+
 REAL,SAVE :: XMD,XMV            ! Molar mass of dry air and molar mass of vapor
 REAL,SAVE :: XRD,XRV            ! Gaz constant for dry air, gaz constant for vapor
@@ -81,11 +81,11 @@
 REAL,SAVE :: XRHOLI             ! Volumic mass of ice
 REAL,SAVE :: XCONDI             ! thermal conductivity of ice (W m-1 K-1)
-!
+
 INTEGER, SAVE :: NDAYSEC        ! Number of seconds in a day
-!
+
 REAL,SAVE     :: XSURF_TINY          ! minimum real on this machine
 REAL,SAVE     :: XSURF_TINY_12       ! sqrt(minimum real on this machine)
 REAL,SAVE     :: XSURF_EPSILON       ! minimum space with 1.0
-!
+
 END MODULE MODD_CSTS
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/nflxtr.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE nflxtr(pdtime,pmfu,pmfd,pen_u,pde_u,pen_d,pde_d,pplay,paprs,x,dx) 
   USE dimphy
@@ -20,13 +20,13 @@
 !    contrairement au schema de Tiedtke d'ou les changements de signe!!!! 
 !=====================================================================
-!
+
   include "YOMCST.h"
   include "YOECUMF.h" 
 
   REAL,INTENT(IN) :: pdtime  ! pdtphys
-!
+
 ! les flux sont definis au 1/2 niveaux 
 ! => pmfu(klev+1) et pmfd(klev+1) sont implicitement nuls
-!
+
   REAL,DIMENSION(klon,klev),INTENT(IN) :: pmfu  ! flux de masse dans le panache montant 
   REAL,DIMENSION(klon,klev),INTENT(IN) :: pmfd  ! flux de masse dans le panache descendant
@@ -90,5 +90,5 @@
 ! calcul des flux dans le panache montant
 ! =========================================
-!
+
 ! Dans la premiere couche, on prend q comme valeur de qu
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.F90	(revision 5099)
@@ -143,32 +143,32 @@
       IF (ok_aie) THEN
           ! Formula "D" of Boucher and Lohmann, Tellus, 1995
-          !
+
         cdnc(i, k) = 10.**(bl95_b0+bl95_b1*log(max(mass_solu_aero(i,k), &
           1.E-4))/log(10.))*1.E6 !-m-3
           ! Cloud droplet number concentration (CDNC) is restricted
           ! to be within [20, 1000 cm^3]
-          !
+
         cdnc(i, k) = min(1000.E6, max(20.E6,cdnc(i,k)))
         cdnc_pi(i, k) = 10.**(bl95_b0+bl95_b1*log(max(mass_solu_aero_pi(i,k), &
           1.E-4))/log(10.))*1.E6 !-m-3
         cdnc_pi(i, k) = min(1000.E6, max(20.E6,cdnc_pi(i,k)))
-          !
-          !
+
+
           ! air density: pplay(i,k) / (RD * zT(i,k))
           ! factor 1.1: derive effective radius from volume-mean radius
           ! factor 1000 is the water density
           ! _chaud means that this is the CDR for liquid water clouds
-          !
+
         rad_chaud = 1.1*((pqlwp(i,k)*pplay(i,k)/(rd*t(i,k)))/(4./3.*rpi*1000. &
           *cdnc(i,k)))**(1./3.)
-          !
+
           ! Convert to um. CDR shall be at least 3 um.
-          !
+
         rad_chaud = max(rad_chaud*1.E6, 3.)
 
           ! For output diagnostics
-          !
+
           ! Cloud droplet effective radius [um]
-          !
+
           ! we multiply here with f * xl (fraction of liquid water
           ! clouds in the grid cell) to avoid problems in the
@@ -176,10 +176,10 @@
           ! In the output of IOIPSL, derive the real cloud droplet
           ! effective radius as re/fl
-          !
+
         fl(i, k) = pclc(i, k)*(1.-zfice(i))
         re(i, k) = rad_chaud*fl(i, k)
 
           ! Pre-industrial cloud opt thickness
-          !
+
           ! "radius" is calculated as rad_chaud above (plus the
           ! ice cloud contribution) but using cdnc_pi instead of
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/nuage.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       REAL rad_froid, rad_chau1, rad_chau2
       REAL tau_cld_cv,coefw_cld_cv
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/oasis.F90	(revision 5099)
@@ -1,13 +1,13 @@
-!
+
 MODULE oasis
-!
+
 ! This module contains subroutines for initialization, sending and receiving 
 ! towards the coupler OASIS3. It also contains some parameters for the coupling.
-!
+
 ! This module should always be compiled. With the coupler OASIS3 available the cpp key
 ! CPP_COUPLE should be set and the entier of this file will then be compiled. 
 ! In a forced mode CPP_COUPLE should not be defined and the compilation ends before 
 ! the CONTAINS, without compiling the subroutines.
-!
+
   USE dimphy 
   USE mod_phys_lmdz_para
@@ -107,8 +107,8 @@
 !**** *INICMA*  - Initialize coupled mode communication for atmosphere
 !                 and exchange some initial information with Oasis
-!
+
 !     Rewrite to take the PRISM/psmile library into account
 !     LF 09/2003
-!
+
     USE IOIPSL
     USE surface_data, ONLY : version_ocean
@@ -150,7 +150,6 @@
     WRITE(lunout,*) ' '
 
-!
 ! Define the model name
-!
+
     IF (grid_type==unstructured) THEN
         clmodnam = 'icosa'                 ! as in $NBMODEL in Cpl/Nam/namcouple.tmp
@@ -399,7 +398,5 @@
   END SUBROUTINE inicma
 
-!
-!************************************************************************************
-!
+!************************************************************************************
 
   SUBROUTINE fromcpl(ktime, tab_get)
@@ -408,5 +405,5 @@
 ! and Sea-Ice provided by the coupler. Adaptation to psmile library
 !======================================================================
-!
+
     USE print_control_mod, ONLY: lunout
     USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
@@ -459,7 +456,5 @@
   END SUBROUTINE fromcpl
 
-!
-!************************************************************************************
-! 
+!************************************************************************************
 
   SUBROUTINE intocpl(ktime, last, tab_put) 
@@ -469,6 +464,6 @@
 ! IF last time step, writes output fields to binary files.
 ! ======================================================================
-!
-! 
+
+
     USE print_control_mod, ONLY: lunout
     USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo.F90	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Id$
-!
 
 SUBROUTINE ocean_albedo(knon,zrmu0,knindex,pwind,SFRWL,alb_dir_new,alb_dif_new)
@@ -39,20 +38,20 @@
 !!       
 !-------------------------------------------------------------------------------
-!
+
 !*           DECLARATIONS
 !            ------------
-!
+
 USE ocean_albedo_para
 USE dimphy
 USE phys_state_var_mod, ONLY : chl_con
-!
-!
+
+
 IMPLICIT NONE
-!
+
 !*      0.1    declarations of arguments
 !              -------------------------
-!
+
 include "clesphys.h"
-!
+
 INTEGER, INTENT(IN) :: knon
 INTEGER, DIMENSION(klon), INTENT(IN) :: knindex
@@ -61,16 +60,16 @@
 REAL, DIMENSION(6),INTENT(IN) :: SFRWL
 REAL, DIMENSION(klon,nsw), INTENT(OUT) :: alb_dir_new, alb_dif_new
-!
+
 !*      0.2    declarations of local variables
 !              -------------------------
-!
+
 REAL, DIMENSION(klon)           :: ZCHL        ! surface chlorophyll
 REAL, DIMENSION(klon)           :: ZCOSZEN     ! Cosine of the zenith solar angle
-!
+
 INTEGER                         :: JWL, INU    ! indexes
 INTEGER                         :: JI
 REAL                            :: ZWL         ! input parameter: wavelength and diffuse/direct fraction of light
 REAL:: ZCHLABS, ZAW, ZBW, ZREFM, ZYLMD, ZUE, ZUE2 ! scalar computation variables
-!
+
 REAL, DIMENSION(klon) :: ZAP, ZXX2, ZR00, ZRR0, ZRRR               ! computation variables
 REAL, DIMENSION(klon) :: ZR22, ZR11DF                              ! computation variables
@@ -78,7 +77,6 @@
 REAL, DIMENSION(klon) :: ZR11, ZRW, ZRWDF, ZRDF                    ! 4 components of the OSA
 REAL, DIMENSION(klon) :: ZSIG, ZFWC, ZWORK1, ZWORK2, ZWORK3
-! 
+
 !--initialisations-------------
-!
 
 IF (knon==0) RETURN ! A verifier pourquoi on en a besoin...
@@ -86,5 +84,5 @@
 alb_dir_new(:,:) = 0. 
 alb_dif_new(:,:) = 0. 
-!
+
 ! Initialisation of chlorophyll content
 ! ZCHL(:) = CHL_CON!0.05 ! averaged global values for surface chlorophyll
@@ -108,7 +106,7 @@
 ! has to be update once we have information from wave model (discussion with G. Madec)
 ZFWC(1:knon)=3.97e-4*PWIND(1:knon)**1.59 ! Salisbury 2014 eq(2) at 37GHz, value in fraction
-!
+
 DO JWL=1,NNWL           ! loop over the wavelengths
-  !
+
   !---------------------------------------------------------------------------------
   ! 0- Compute baseline values
@@ -122,5 +120,5 @@
   ! 1- Compute direct surface albedo (ZR11)
   !---------------------------------------------------------------------------------
-  !
+
   ZXX2(1:knon)=SQRT(1.0-(1.0-ZCOSZEN(1:knon)**2)/ZREFM**2)
   ZRR0(1:knon)=0.50*(((ZXX2(1:knon)-ZREFM*ZCOSZEN(1:knon))/(ZXX2(1:knon)+ZREFM*ZCOSZEN(1:knon)))**2 +  & 
@@ -132,5 +130,5 @@
                EXP(0.1643-7.8409*ZCOSZEN(1:knon)-3.5639*ZCOSZEN(1:knon)**2-2.3588*ZSIG(1:knon)+ & 
                10.0538*ZCOSZEN(1:knon)*ZSIG(1:knon))*ZRR0(1:knon)/ZRRR(1:knon)
-  ! 
+
   !---------------------------------------------------------------------------------
   ! 2- Compute surface diffuse albedo (ZRDF)
@@ -144,5 +142,5 @@
   ! *- Determine absorption and backscattering
   ! coefficients to determine reflectance below the surface (Ro) once for all
-  !
+
   ! *.1- Absorption by chlorophyll
   ZCHLABS= XAKACHL(JWL) 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo_para.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo_para.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ocean_albedo_para.F90	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 ! $Id$
-!
+
 !     ######################
 MODULE ocean_albedo_para
 !     ######################
-!
+
 !!****  *MOD_DALBEDO_RS14* - declaration of ISBA parameters
 !!
@@ -12,5 +12,5 @@
 !       The purpose of this declarative module is to specify  the 
 !     parameters related to direct & diffuse albedo over open water 
-!
+
 !!
 !!      
@@ -24,19 +24,18 @@
 !       S. Baek : extention from 200-800nm to 200-40000nm 
 !-------------------------------------------------------------------------------
-!
+
 !*       0.   DECLARATIONS
 !             ------------
-!
 
 IMPLICIT NONE
-!
+
 INTEGER, PARAMETER   :: NNWL = 381                ! number of wavelength
-!
+
 ! absorption coefficients for seawater et 440 nm
 REAL, PARAMETER      :: XAW440 =  0.00635
-!
+
 !! white-caps reflectance (Koepke , 1983 estimation)
 !REAL, PARAMETER      :: XRWC   =  0.55
-!
+
 ! table of wavelength discretization
 REAL, PARAMETER, DIMENSION(NNWL)::  XAKWL= &
@@ -82,7 +81,4 @@
 3920.0, 3930.0, 3940.0, 3950.0, 3960.0, 3970.0, 3980.0, 3990.0, 4000.0 /) 
 
-
- 
-!
 ! proportion of each wavelength
 REAL, PARAMETER, DIMENSION(NNWL)::  XFRWL= &
@@ -165,6 +161,4 @@
 0.6389357E-04 /) 
 
-
-!
 ! Table for computing Reflectance just below ocean surface (bounded to 200-800 nm)
 ! table of refractive index as function of wavelength
@@ -214,8 +208,4 @@
 1.3357,  1.3351,  1.3345,  1.3339 /)
 
-
-
-
-!
 ! table of chlorophyll absorption coefficient as function of wavelength
 REAL, PARAMETER, DIMENSION(NNWL)::  XAKACHL= &
@@ -377,11 +367,4 @@
 -0.4844930E-01 /)
 
-
-
-
-
-
-
-!
 ! table of seawater absorption coefficient as function of wavelength
 REAL, PARAMETER, DIMENSION(NNWL)::  XAKAW3= &
@@ -464,7 +447,4 @@
 0.1509941E+05 /)
 
-
-
-!
 ! table of seawater backscattering coefficient as function of wavelength
 REAL, PARAMETER, DIMENSION(NNWL)::  XAKBW= &
@@ -628,8 +608,6 @@
 0.0000000E+00 /)
 
-
-!
 !--------------------------------------------------------------------------------
-!
+
 END MODULE 
 
